交易状态查询(泰国)
大约 1 分钟
泰国地区 交易状态查询 接口(THB)。
Request
Request Path:
sandbox:
https://sandbox-gateway.smilepayz.com/v2.0/inquiry-status
production:https://gateway.smilepayz.com/v2.0/inquiry-status
Header Parameters
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json 请求体。 |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
X-SIGNATURE | M | String | 请求体签名(见产品文档 签名生成)。 |
X-PARTNER-ID | M | String | 商户 merchantID(字母数字)。 |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
tradeType | M | Number | 1 = Pay-in, 2 = Pay-out. |
orderNo | C | String(32) | 商户唯一订单号,6–32 位字母数字。 |
tradeNo | C | String(32) | 平台 tradeNo。 |
要求
tradeNo 与 orderNo 至少传其一。
Example Body – Inquiry Status Request:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001
{
"tradeType": 1,
"orderNo": "2000112900000000000001"
}
{
"tradeType": 2,
"tradeNo": "112200312406111311517153"
}
Responses
HTTP Request
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json 请求体。 |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
code | M | String | 00 成功,其余失败。 |
message | M | String | UTF-8 结果说明。 |
tradeNo | O | String | 平台 tradeNo。 |
tradeType | O | Number | 1 Pay-in / 2 Pay-out. |
paymentMethod | O | String | 通道编码(见 支付方式 文档)。 |
money | O | Object | currency 与 amount 金额对象。 |
currency | M | String | 固定为 THB。 |
amount | M | Number | 按币种与通道规则的金额整数。 |
status | O | String | 订单或支付状态枚举值。 |
remark | O | String | Extra notes when present. |
Example Body – Inquiry Status Response:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
{
"code": "00",
"message": "Successful",
"tradeNo": "122200312406111311517153",
"tradeType": 2,
"paymentMethod": "KBANK",
"money": {
"currency": "THB",
"amount": 20000
},
"status": "SUCCESS"
}
